Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/DescriptorProtos/CSharpOptions.cs
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/DescriptorProtos/CSharpOptions.cs	(revision 3857)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/DescriptorProtos/CSharpOptions.cs	(revision 4068)
@@ -2,11 +2,9 @@
 
 using pb = global::Google.ProtocolBuffers;
-using pbc = global::Google.ProtocolBuffers.Collections;
 using pbd = global::Google.ProtocolBuffers.Descriptors;
-using scg = global::System.Collections.Generic;
 namespace Google.ProtocolBuffers.DescriptorProtos {
-  
+
   public static partial class CSharpOptions {
-  
+
     #region Extension registration
     public static void RegisterAllExtensions(pb::ExtensionRegistry registry) {
@@ -21,5 +19,5 @@
     public static pb::GeneratedExtensionBase<global::Google.ProtocolBuffers.DescriptorProtos.CSharpFieldOptions> CSharpFieldOptions;
     #endregion
-    
+
     #region Static variables
     internal static pbd::MessageDescriptor internal__static_google_protobuf_CSharpFileOptions__Descriptor;
@@ -33,27 +31,27 @@
     }
     private static pbd::FileDescriptor descriptor;
-    
+
     static CSharpOptions() {
       byte[] descriptorData = global::System.Convert.FromBase64String(
-          "CiRnb29nbGUvcHJvdG9idWYvY3NoYXJwX29wdGlvbnMucHJvdG8SD2dvb2ds" + 
-          "ZS5wcm90b2J1ZhogZ29vZ2xlL3Byb3RvYnVmL2Rlc2NyaXB0b3IucHJvdG8i" + 
-          "zAEKEUNTaGFycEZpbGVPcHRpb25zEhEKCW5hbWVzcGFjZRgBIAEoCRIaChJ1" + 
-          "bWJyZWxsYV9jbGFzc25hbWUYAiABKAkSHAoOcHVibGljX2NsYXNzZXMYAyAB" + 
-          "KAg6BHRydWUSFgoObXVsdGlwbGVfZmlsZXMYBCABKAgSFAoMbmVzdF9jbGFz" + 
-          "c2VzGAUgASgIEhYKDmNvZGVfY29udHJhY3RzGAYgASgIEiQKHGV4cGFuZF9u" + 
-          "YW1lc3BhY2VfZGlyZWN0b3JpZXMYByABKAgiKwoSQ1NoYXJwRmllbGRPcHRp" + 
-          "b25zEhUKDXByb3BlcnR5X25hbWUYASABKAk6XgoTY3NoYXJwX2ZpbGVfb3B0" + 
-          "aW9ucxIcLmdvb2dsZS5wcm90b2J1Zi5GaWxlT3B0aW9ucxjoByABKAsyIi5n" + 
-          "b29nbGUucHJvdG9idWYuQ1NoYXJwRmlsZU9wdGlvbnM6YQoUY3NoYXJwX2Zp" + 
-          "ZWxkX29wdGlvbnMSHS5nb29nbGUucHJvdG9idWYuRmllbGRPcHRpb25zGOgH" + 
+          "CiRnb29nbGUvcHJvdG9idWYvY3NoYXJwX29wdGlvbnMucHJvdG8SD2dvb2ds" +
+          "ZS5wcm90b2J1ZhogZ29vZ2xlL3Byb3RvYnVmL2Rlc2NyaXB0b3IucHJvdG8i" +
+          "zAEKEUNTaGFycEZpbGVPcHRpb25zEhEKCW5hbWVzcGFjZRgBIAEoCRIaChJ1" +
+          "bWJyZWxsYV9jbGFzc25hbWUYAiABKAkSHAoOcHVibGljX2NsYXNzZXMYAyAB" +
+          "KAg6BHRydWUSFgoObXVsdGlwbGVfZmlsZXMYBCABKAgSFAoMbmVzdF9jbGFz" +
+          "c2VzGAUgASgIEhYKDmNvZGVfY29udHJhY3RzGAYgASgIEiQKHGV4cGFuZF9u" +
+          "YW1lc3BhY2VfZGlyZWN0b3JpZXMYByABKAgiKwoSQ1NoYXJwRmllbGRPcHRp" +
+          "b25zEhUKDXByb3BlcnR5X25hbWUYASABKAk6XgoTY3NoYXJwX2ZpbGVfb3B0" +
+          "aW9ucxIcLmdvb2dsZS5wcm90b2J1Zi5GaWxlT3B0aW9ucxjoByABKAsyIi5n" +
+          "b29nbGUucHJvdG9idWYuQ1NoYXJwRmlsZU9wdGlvbnM6YQoUY3NoYXJwX2Zp" +
+          "ZWxkX29wdGlvbnMSHS5nb29nbGUucHJvdG9idWYuRmllbGRPcHRpb25zGOgH" +
           "IAEoCzIjLmdvb2dsZS5wcm90b2J1Zi5DU2hhcnBGaWVsZE9wdGlvbnM=");
       pbd::FileDescriptor.InternalDescriptorAssigner assigner = delegate(pbd::FileDescriptor root) {
         descriptor = root;
         internal__static_google_protobuf_CSharpFileOptions__Descriptor = Descriptor.MessageTypes[0];
-        internal__static_google_protobuf_CSharpFileOptions__FieldAccessorTable = 
+        internal__static_google_protobuf_CSharpFileOptions__FieldAccessorTable =
             new pb::FieldAccess.FieldAccessorTable<global::Google.ProtocolBuffers.DescriptorProtos.CSharpFileOptions, global::Google.ProtocolBuffers.DescriptorProtos.CSharpFileOptions.Builder>(internal__static_google_protobuf_CSharpFileOptions__Descriptor,
                 new string[] { "Namespace", "UmbrellaClassname", "PublicClasses", "MultipleFiles", "NestClasses", "CodeContracts", "ExpandNamespaceDirectories", });
         internal__static_google_protobuf_CSharpFieldOptions__Descriptor = Descriptor.MessageTypes[1];
-        internal__static_google_protobuf_CSharpFieldOptions__FieldAccessorTable = 
+        internal__static_google_protobuf_CSharpFieldOptions__FieldAccessorTable =
             new pb::FieldAccess.FieldAccessorTable<global::Google.ProtocolBuffers.DescriptorProtos.CSharpFieldOptions, global::Google.ProtocolBuffers.DescriptorProtos.CSharpFieldOptions.Builder>(internal__static_google_protobuf_CSharpFieldOptions__Descriptor,
                 new string[] { "PropertyName", });
@@ -68,5 +66,5 @@
     }
     #endregion
-    
+
   }
   #region Messages
@@ -76,21 +74,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override CSharpFileOptions DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override CSharpFileOptions ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpOptions.internal__static_google_protobuf_CSharpFileOptions__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<CSharpFileOptions, CSharpFileOptions.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpOptions.internal__static_google_protobuf_CSharpFileOptions__FieldAccessorTable; }
     }
-    
+
     public const int NamespaceFieldNumber = 1;
     private bool hasNamespace;
@@ -102,5 +100,5 @@
       get { return namespace_; }
     }
-    
+
     public const int UmbrellaClassnameFieldNumber = 2;
     private bool hasUmbrellaClassname;
@@ -112,5 +110,5 @@
       get { return umbrellaClassname_; }
     }
-    
+
     public const int PublicClassesFieldNumber = 3;
     private bool hasPublicClasses;
@@ -122,5 +120,5 @@
       get { return publicClasses_; }
     }
-    
+
     public const int MultipleFilesFieldNumber = 4;
     private bool hasMultipleFiles;
@@ -132,5 +130,5 @@
       get { return multipleFiles_; }
     }
-    
+
     public const int NestClassesFieldNumber = 5;
     private bool hasNestClasses;
@@ -142,5 +140,5 @@
       get { return nestClasses_; }
     }
-    
+
     public const int CodeContractsFieldNumber = 6;
     private bool hasCodeContracts;
@@ -152,5 +150,5 @@
       get { return codeContracts_; }
     }
-    
+
     public const int ExpandNamespaceDirectoriesFieldNumber = 7;
     private bool hasExpandNamespaceDirectories;
@@ -162,5 +160,5 @@
       get { return expandNamespaceDirectories_; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -168,5 +166,5 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
@@ -194,5 +192,5 @@
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -200,5 +198,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         if (HasNamespace) {
@@ -228,22 +226,22 @@
       }
     }
-    
+
     public static CSharpFileOptions ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CSharpFileOptions ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CSharpFileOptions ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CSharpFileOptions ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CSharpFileOptions ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CSharpFileOptions ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static CSharpFileOptions ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -254,8 +252,8 @@
     }
     public static CSharpFileOptions ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CSharpFileOptions ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -263,36 +261,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(CSharpFileOptions prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<CSharpFileOptions, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       CSharpFileOptions result = new CSharpFileOptions();
-      
+
       protected override CSharpFileOptions MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new CSharpFileOptions();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpFileOptions.Descriptor; }
       }
-      
+
       public override CSharpFileOptions DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpFileOptions.DefaultInstance; }
       }
-      
+
       public override CSharpFileOptions BuildPartial() {
         if (result == null) {
@@ -303,8 +301,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is CSharpFileOptions) {
-          return MergeFrom((CSharpFileOptions) other);
+          return MergeFrom((CSharpFileOptions)other);
         } else {
           base.MergeFrom(other);
@@ -312,5 +310,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(CSharpFileOptions other) {
         if (other == global::Google.ProtocolBuffers.DescriptorProtos.CSharpFileOptions.DefaultInstance) return this;
@@ -339,9 +337,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -350,11 +348,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -362,43 +353,50 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
-              }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
+              }
             case 10: {
-              Namespace = input.ReadString();
-              break;
-            }
+                Namespace = input.ReadString();
+                break;
+              }
             case 18: {
-              UmbrellaClassname = input.ReadString();
-              break;
-            }
+                UmbrellaClassname = input.ReadString();
+                break;
+              }
             case 24: {
-              PublicClasses = input.ReadBool();
-              break;
-            }
+                PublicClasses = input.ReadBool();
+                break;
+              }
             case 32: {
-              MultipleFiles = input.ReadBool();
-              break;
-            }
+                MultipleFiles = input.ReadBool();
+                break;
+              }
             case 40: {
-              NestClasses = input.ReadBool();
-              break;
-            }
+                NestClasses = input.ReadBool();
+                break;
+              }
             case 48: {
-              CodeContracts = input.ReadBool();
-              break;
-            }
+                CodeContracts = input.ReadBool();
+                break;
+              }
             case 56: {
-              ExpandNamespaceDirectories = input.ReadBool();
-              break;
-            }
+                ExpandNamespaceDirectories = input.ReadBool();
+                break;
+              }
           }
         }
       }
-      
-      
+
+
       public bool HasNamespace {
         get { return result.HasNamespace; }
@@ -419,5 +417,5 @@
         return this;
       }
-      
+
       public bool HasUmbrellaClassname {
         get { return result.HasUmbrellaClassname; }
@@ -438,5 +436,5 @@
         return this;
       }
-      
+
       public bool HasPublicClasses {
         get { return result.HasPublicClasses; }
@@ -456,5 +454,5 @@
         return this;
       }
-      
+
       public bool HasMultipleFiles {
         get { return result.HasMultipleFiles; }
@@ -474,5 +472,5 @@
         return this;
       }
-      
+
       public bool HasNestClasses {
         get { return result.HasNestClasses; }
@@ -492,5 +490,5 @@
         return this;
       }
-      
+
       public bool HasCodeContracts {
         get { return result.HasCodeContracts; }
@@ -510,5 +508,5 @@
         return this;
       }
-      
+
       public bool HasExpandNamespaceDirectories {
         get { return result.HasExpandNamespaceDirectories; }
@@ -533,5 +531,5 @@
     }
   }
-  
+
   public sealed partial class CSharpFieldOptions : pb::GeneratedMessage<CSharpFieldOptions, CSharpFieldOptions.Builder> {
     private static readonly CSharpFieldOptions defaultInstance = new Builder().BuildPartial();
@@ -539,21 +537,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override CSharpFieldOptions DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override CSharpFieldOptions ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpOptions.internal__static_google_protobuf_CSharpFieldOptions__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<CSharpFieldOptions, CSharpFieldOptions.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpOptions.internal__static_google_protobuf_CSharpFieldOptions__FieldAccessorTable; }
     }
-    
+
     public const int PropertyNameFieldNumber = 1;
     private bool hasPropertyName;
@@ -565,5 +563,5 @@
       get { return propertyName_; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -571,5 +569,5 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
@@ -579,5 +577,5 @@
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -585,5 +583,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         if (HasPropertyName) {
@@ -595,22 +593,22 @@
       }
     }
-    
+
     public static CSharpFieldOptions ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CSharpFieldOptions ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CSharpFieldOptions ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CSharpFieldOptions ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CSharpFieldOptions ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CSharpFieldOptions ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static CSharpFieldOptions ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -621,8 +619,8 @@
     }
     public static CSharpFieldOptions ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CSharpFieldOptions ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -630,36 +628,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(CSharpFieldOptions prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<CSharpFieldOptions, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       CSharpFieldOptions result = new CSharpFieldOptions();
-      
+
       protected override CSharpFieldOptions MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new CSharpFieldOptions();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpFieldOptions.Descriptor; }
       }
-      
+
       public override CSharpFieldOptions DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.DescriptorProtos.CSharpFieldOptions.DefaultInstance; }
       }
-      
+
       public override CSharpFieldOptions BuildPartial() {
         if (result == null) {
@@ -670,8 +668,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is CSharpFieldOptions) {
-          return MergeFrom((CSharpFieldOptions) other);
+          return MergeFrom((CSharpFieldOptions)other);
         } else {
           base.MergeFrom(other);
@@ -679,5 +677,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(CSharpFieldOptions other) {
         if (other == global::Google.ProtocolBuffers.DescriptorProtos.CSharpFieldOptions.DefaultInstance) return this;
@@ -688,9 +686,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -699,11 +697,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -711,19 +702,26 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
-              }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
+              }
             case 10: {
-              PropertyName = input.ReadString();
-              break;
-            }
+                PropertyName = input.ReadString();
+                break;
+              }
           }
         }
       }
-      
-      
+
+
       public bool HasPropertyName {
         get { return result.HasPropertyName; }
@@ -749,6 +747,6 @@
     }
   }
-  
+
   #endregion
-  
+
 }
